import { FormControl } from '@angular/forms';
import { ValidatorFn } from '@angular/forms/src/directives/validators';
import { ComponentSettingsDialogComponent } from '../component-settings-dialog.component';
export declare const DEFAULT_INPUTS_METADATA: string[];
export declare class PropertyMetadataClass {
    protected settingsDialog: ComponentSettingsDialogComponent;
    static DEFAULT_INPUTS_METADATA: string[];
    property: string;
    data: any;
    fControl: FormControl;
    value: any;
    constructor(settingsDialog: ComponentSettingsDialogComponent);
    initialize(): void;
    registerFormListeners(): void;
    destroy(): void;
    unregisterFormListeners(): void;
    getFormGroup(): any;
    getPropertyName(): string;
    getValue(): any;
    parseValue(arg: any): any;
    getFormControl(): FormControl;
    resolveValidators(): ValidatorFn[];
    readonly isValid: boolean;
    innerOnChange(value: any): void;
}
